<nav class="navbar navbar-expand-lg navbar-light">
  <div class="container">
    <%= link_to "Icon", root_path, class: "navbar-brand core-sprite hide-text"%>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <%= form_with url: "users/", method: :get,class: "form-inline my-2 my-lg-0 ml-md-auto", id: "users-search" do |form| %>
        <%= form.text_field :term, class: "form-control mr-sm-2 text-center",placeholder: "search"   %>
        <div id="users-result">
        </div>
        <!--
        <form class="form-inline my-2 my-lg-0 ml-md-auto">
        <input class="form-control mr-sm-2 text-center" type="search" placeholder="Search" aria-label="Search">
      </form> -->
      <% end %>
      <ul class="navbar-nav ml-md-auto">
        <li class="nav-item">
          <% if user_signed_in? %>
            <%= link_to "logout", destroy_user_session_path, method: :delete %>
          <% end %>
        </li>
        <li class="nav-item">
          <a class="nav-link core-sprite explore-icon hide-text" href="#">explore</a>
        </li>
        <li class="nav-item">
          <a class="nav-link core-sprite notification-icon hide-text" href="#">notification</a>
        </li>
        <li class="nav-item">
          <%= link_to "profile", user_path(current_user), class: "nav-link core-sprite profile-icon hide-text"%>
        </li>
      </ul>
    </div>
  </div>
</nav>
